Package ru.bitel.bgbilling.modules.inet.common.service

# Interface InetLogManagementService

public interface InetLogManagementService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `inetAddCreateSessions(Integer deviceId, List<Date> days)`
  `void`
  `inetAddProcessLogs(Integer deviceId, List<Date> days)`
  `void`
  `inetDeleteCreateSessions(Integer deviceId, List<Date> days)`
  `void`
  `inetDeleteProcessLogs(Integer deviceId, List<Date> days)`
  `Result<?>`
  `inetLogExist(Integer deviceId, Date month)`
  `List<DataProcessRecord>`
  `inetLogLoading(Integer deviceId, Date month)`
  `List<DataProcessRecord>`
  `inetLogSessionCreating(Integer deviceId, Date month)`

- ## Method Details

  - ### inetLogExist

    Result<?> inetLogExist(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetLogLoading

    List<DataProcessRecord> inetLogLoading(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetAddProcessLogs

    void inetAddProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeleteProcessLogs

    void inetDeleteProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetAddCreateSessions

    void inetAddCreateSessions(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeleteCreateSessions

    void inetDeleteCreateSessions(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetLogSessionCreating

    List<DataProcessRecord> inetLogSessionCreating(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`